import { baseUrl, tenantId, apiPath } from '@/utils/config'

const uploadApi = {
  file: '/menduner/system/file/upload',
  img: '/infra/file/upload'
}

// 文件上传
export const uploadFile = (file, type = 'file') => {
  uni.showLoading({
    title: '上传中'
  })
  return new Promise((resolve, reject) => {
    uni.uploadFile({
      url: baseUrl + apiPath + uploadApi[type],
      filePath: file,
      name: 'file',
      header: {
        Accept: '*/*',
        'tenant-id': tenantId,
        'Authorization': 'Bearer ' + uni.getStorageSync('token')
      },
      success: (uploadFileRes) => {
        let result = JSON.parse(uploadFileRes.data)
        if (result.error === 1) {
          uni.showToast({
            icon: 'none',
            title: result.msg
          })
        } else {
          return resolve(result)
        }
      },
      fail: (error) => {
        console.log('上传失败：', error)
        return resolve(false)
      },
      complete: () => {
        uni.hideLoading()
      }
    })
  })
}