import request from "@/utils/request"

// 屏蔽企业-获得屏蔽的企业
export const getBlockEnterpriseList = async () => {
  return request({
    url: '/app-api/menduner/system/person/enterprise-block/page',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 屏蔽企业-加入屏蔽
export const handleBlockEnterprise = async (data) => {
  return request({
    url: '/app-api/menduner/system/person/enterprise-block/block',
    method: 'POST',
    data,
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 屏蔽企业-取消屏蔽
export const handleUnBlockEnterprise = async (enterpriseId) => {
  return request({
    url: '/app-api/menduner/system/person/enterprise-block/un-block?enterpriseId=' + enterpriseId,
    method: 'DELETE',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 套餐列表
export const getMembershipPackageList = async (enterpriseId) => {
  return request({
    url: 'app-api/menduner/system/user-package/list',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: false
    }
  })
}
